unit ChamadasTelefonicas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrls, Mask, Buttons;

type
  TFChamadas = class(TForm)
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    Label8: TLabel;
    DBMemo1: TDBMemo;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    BitBtn9: TBitBtn;
    BitBtn10: TBitBtn;
    DBLookupComboBox1: TDBLookupComboBox;
    BitBtn11: TBitBtn;
    BitBtn12: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FChamadas: TFChamadas;

implementation

uses DM, ApagaChamadasFone;

{$R *.dfm}

procedure TFChamadas.FormShow(Sender: TObject);
begin
  DM1.ADOTChamadas.Open;
  DM1.ADOTTipoChamada.Open;
end;

procedure TFChamadas.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM1.ADOTChamadas.Close;
  DM1.ADOTTipoChamada.Close;
end;

procedure TFChamadas.BitBtn1Click(Sender: TObject);
begin
  DM1.ADOTChamadas.Insert;
  DBEdit1.SetFocus;
  BitBtn1.Enabled:= False;
  BitBtn2.Enabled:= False;
  BitBtn3.Enabled:= True;
  BitBtn4.Enabled:= True;
  BitBtn5.Enabled:= False;
  BitBtn6.Enabled:= False;
  BitBtn7.Enabled:= False;
  BitBtn8.Enabled:= False;
  BitBtn9.Enabled:= False;
  BitBtn10.Enabled:= False;
  BitBtn11.Enabled:= False;
  BitBtn12.Enabled:= False;
end;

procedure TFChamadas.BitBtn2Click(Sender: TObject);
begin
  DM1.ADOTChamadas.Edit;
  BitBtn1.Enabled:= False;
  BitBtn2.Enabled:= False;
  BitBtn3.Enabled:= True;
  BitBtn4.Enabled:= True;
  BitBtn5.Enabled:= False;
  BitBtn6.Enabled:= False;
  BitBtn7.Enabled:= False;
  BitBtn8.Enabled:= False;
  BitBtn9.Enabled:= False;
  BitBtn10.Enabled:= False;
  BitBtn11.Enabled:= False;
  BitBtn12.Enabled:= False;
end;

procedure TFChamadas.BitBtn3Click(Sender: TObject);
begin
  DM1.ADOTChamadas.Post;
  BitBtn1.Enabled:= True;
  BitBtn2.Enabled:= True;
  BitBtn3.Enabled:= False;
  BitBtn4.Enabled:= False;
  BitBtn5.Enabled:= True;
  BitBtn6.Enabled:= True;
  BitBtn7.Enabled:= True;
  BitBtn8.Enabled:= True;
  BitBtn9.Enabled:= True;
  BitBtn10.Enabled:= True;
  BitBtn11.Enabled:= True;
  BitBtn12.Enabled:= True;
end;

procedure TFChamadas.BitBtn4Click(Sender: TObject);
begin
  DM1.ADOTChamadas.Cancel;
  BitBtn1.Enabled:= True;
  BitBtn2.Enabled:= True;
  BitBtn3.Enabled:= False;
  BitBtn4.Enabled:= False;
  BitBtn5.Enabled:= True;
  BitBtn6.Enabled:= True;
  BitBtn7.Enabled:= True;
  BitBtn8.Enabled:= True;
  BitBtn9.Enabled:= True;
  BitBtn10.Enabled:= True;
  BitBtn11.Enabled:= True;
  BitBtn12.Enabled:= True;
end;

procedure TFChamadas.BitBtn5Click(Sender: TObject);
begin
  Application.CreateForm(TFApagaChamadasFone, FApagaChamadasFone);
  FApagaChamadasFone.ShowModal;
end;

procedure TFChamadas.BitBtn6Click(Sender: TObject);
begin
  Close;
end;

procedure TFChamadas.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if key = #13 then
   begin
     key := #0;
     PostMessage ( handle, WM_KEYDOWN, VK_TAB, 1 );
   end
end;

end.
