unit CadSerial;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, StdCtrls, DBCtrls, Mask, Buttons;

type
  TFCadSerial = class(TForm)
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBMemo1: TDBMemo;
    DBGrid1: TDBGrid;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    BitBtn9: TBitBtn;
    BitBtn10: TBitBtn;
    BitBtn11: TBitBtn;
    BitBtn12: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BitBtn7Click(Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
    procedure BitBtn9Click(Sender: TObject);
    procedure BitBtn10Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FCadSerial: TFCadSerial;

implementation

uses DM;

{$R *.dfm}

procedure TFCadSerial.BitBtn1Click(Sender: TObject);
begin
  DM1.ADOTSerial.Insert;
  DM1.ADOTDetalhe_Serial.Insert;
  DBEdit1.SetFocus;
  BitBtn1.Enabled:= False;
  BitBtn2.Enabled:= False;
  BitBtn3.Enabled:= True;
  BitBtn4.Enabled:= True;
  BitBtn5.Enabled:= False;
  BitBtn6.Enabled:= False;
  BitBtn7.Enabled:= False;
  BitBtn8.Enabled:= False;
  BitBtn9.Enabled:= False;
  BitBtn10.Enabled:= False;
  BitBtn11.Enabled:= False;
  BitBtn12.Enabled:= False;
end;

procedure TFCadSerial.BitBtn2Click(Sender: TObject);
begin
  DM1.ADOTSerial.Edit;
  DM1.ADOTDetalhe_Serial.Edit;
  BitBtn1.Enabled:= False;
  BitBtn2.Enabled:= False;
  BitBtn3.Enabled:= True;
  BitBtn4.Enabled:= True;
  BitBtn5.Enabled:= False;
  BitBtn6.Enabled:= False;
  BitBtn7.Enabled:= False;
  BitBtn8.Enabled:= False;
  BitBtn9.Enabled:= False;
  BitBtn10.Enabled:= False;
  BitBtn11.Enabled:= False;
  BitBtn12.Enabled:= False;
end;

procedure TFCadSerial.BitBtn3Click(Sender: TObject);
begin
  DM1.ADOTSerial.Post;
  BitBtn1.Enabled:= True;
  BitBtn2.Enabled:= True;
  BitBtn3.Enabled:= False;
  BitBtn4.Enabled:= False;
  BitBtn5.Enabled:= True;
  BitBtn6.Enabled:= True;
  BitBtn7.Enabled:= True;
  BitBtn8.Enabled:= True;
  BitBtn9.Enabled:= True;
  BitBtn10.Enabled:= True;
  BitBtn11.Enabled:= True;
  BitBtn12.Enabled:= True;
end;

procedure TFCadSerial.BitBtn4Click(Sender: TObject);
begin
  DM1.ADOTSerial.Cancel;
  DM1.ADOTDetalhe_Serial.Cancel;
  BitBtn1.Enabled:= True;
  BitBtn2.Enabled:= True;
  BitBtn3.Enabled:= False;
  BitBtn4.Enabled:= False;
  BitBtn5.Enabled:= True;
  BitBtn6.Enabled:= True;
  BitBtn7.Enabled:= True;
  BitBtn8.Enabled:= True;
  BitBtn9.Enabled:= True;
  BitBtn10.Enabled:= True;
  BitBtn11.Enabled:= True;
  BitBtn12.Enabled:= True;
end;

procedure TFCadSerial.BitBtn5Click(Sender: TObject);
begin
  DM1.ADOTSerial.Delete;
end;

procedure TFCadSerial.BitBtn6Click(Sender: TObject);
begin
  Close;
end;

procedure TFCadSerial.FormShow(Sender: TObject);
begin
  DM1.ADOTSerial.Open;
  DM1.ADOTDetalhe_Serial.Open;
end;

procedure TFCadSerial.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM1.ADOTSerial.Close;
  DM1.ADOTDetalhe_Serial.Close;
end;

procedure TFCadSerial.BitBtn7Click(Sender: TObject);
begin
  DM1.ADOTSerial.First;
end;

procedure TFCadSerial.BitBtn8Click(Sender: TObject);
begin
  DM1.ADOTSerial.Prior;
end;

procedure TFCadSerial.BitBtn9Click(Sender: TObject);
begin
  DM1.ADOTSerial.Next;
end;

procedure TFCadSerial.BitBtn10Click(Sender: TObject);
begin
  DM1.ADOTSerial.Last;
end;

procedure TFCadSerial.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if key = #13 then
   begin
     key := #0;
     PostMessage ( handle, WM_KEYDOWN, VK_TAB, 1 );
   end
end;

end.
